Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.config
Class FrameworkConfiguration

    java.lang.Object
      org.ajax4jsf.config.FrameworkConfiguration

    public final class FrameworkConfiguration

extends java.lang.Object

Since:
  4.0 framework configuration class
Author:
  Anton Belevich

Nested Class Summary
`static class` | `FrameworkConfiguration.InitParam`

Method Summary
`static FrameworkConfiguration` | `getInstance()`
`static FrameworkConfiguration` | `getInstance(javax.faces.context.ExternalContext externalContext)`
`java.lang.String` | `getOption(FrameworkConfiguration.InitParam param)`
`int` | `getOptionNumber(FrameworkConfiguration.InitParam param)`
`java.lang.String` | `getOptionValue(FrameworkConfiguration.InitParam param)`
`boolean` | `isOptionEnabled(FrameworkConfiguration.InitParam param)`
`java.lang.Object` | `resolveELParam(javax.faces.context.FacesContext context, java.lang.String value, java.lang.Class<?> expectedClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static FrameworkConfiguration getInstance()

### getInstance

    public static FrameworkConfiguration getInstance(javax.faces.context.ExternalContext externalContext)

### getOptionNumber

    public int getOptionNumber(FrameworkConfiguration.InitParam param)

### isOptionEnabled

    public boolean isOptionEnabled(FrameworkConfiguration.InitParam param)

### getOptionValue

    public java.lang.String getOptionValue(FrameworkConfiguration.InitParam param)

### getOption

    public java.lang.String getOption(FrameworkConfiguration.InitParam param)

### resolveELParam

    public java.lang.Object resolveELParam(javax.faces.context.FacesContext context,
                                           java.lang.String value,
                                           java.lang.Class<?> expectedClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.